-- IDELAYE3: Input Fixed or Variable Delay Element
--           UltraScale
-- Xilinx HDL Language Template, version 2024.2

IDELAYE3_inst : IDELAYE3
generic map (
   CASCADE => "NONE",          -- Cascade setting (MASTER, NONE, SLAVE_END, SLAVE_MIDDLE)
   DELAY_FORMAT => "TIME",     -- Units of the DELAY_VALUE (COUNT, TIME)
   DELAY_SRC => "IDATAIN",     -- Delay input (DATAIN, IDATAIN)
   DELAY_TYPE => "FIXED",      -- Set the type of tap delay line (FIXED, VARIABLE, VAR_LOAD)
   DELAY_VALUE => 0,           -- Input delay value setting
   IS_CLK_INVERTED => '0',     -- Optional inversion for CLK
   IS_RST_INVERTED => '0',     -- Optional inversion for RST
   REFCLK_FREQUENCY => 300.0,  -- IDELAYCTRL clock input frequency in MHz (200.0-800.0)
   SIM_DEVICE => "ULTRASCALE", -- Set the device version for simulation functionality (ULTRASCALE)
   UPDATE_MODE => "ASYNC"      -- Determines when updates to the delay will take effect (ASYNC, MANUAL,
                               -- SYNC)
)
port map (
   CASC_OUT => CASC_OUT,       -- 1-bit output: Cascade delay output to ODELAY input cascade
   CNTVALUEOUT => CNTVALUEOUT, -- 9-bit output: Counter value output
   DATAOUT => DATAOUT,         -- 1-bit output: Delayed data output
   CASC_IN => CASC_IN,         -- 1-bit input: Cascade delay input from slave ODELAY CASCADE_OUT
   CASC_RETURN => CASC_RETURN, -- 1-bit input: Cascade delay returning from slave ODELAY DATAOUT
   CE => CE,                   -- 1-bit input: Active-High enable increment/decrement input
   CLK => CLK,                 -- 1-bit input: Clock input
   CNTVALUEIN => CNTVALUEIN,   -- 9-bit input: Counter value input
   DATAIN => DATAIN,           -- 1-bit input: Data input from the logic
   EN_VTC => EN_VTC,           -- 1-bit input: Keep delay constant over VT
   IDATAIN => IDATAIN,         -- 1-bit input: Data input from the IOBUF
   INC => INC,                 -- 1-bit input: Increment / Decrement tap delay input
   LOAD => LOAD,               -- 1-bit input: Load DELAY_VALUE input
   RST => RST                  -- 1-bit input: Asynchronous Reset to the DELAY_VALUE
);

-- End of IDELAYE3_inst instantiation
