-- RIU_OR: Register Interface Unit Selection Block
--         UltraScale
-- Xilinx HDL Language Template, version 2024.2

RIU_OR_inst : RIU_OR
generic map (
   SIM_DEVICE => "ULTRASCALE"  -- Set the device version for simulation functionality (ULTRASCALE)
)
port map (
   RIU_RD_DATA => RIU_RD_DATA,           -- 16-bit output: RIU data bus to the controller
   RIU_RD_VALID => RIU_RD_VALID,         -- 1-bit output: Combined RIU read valid signal to the controller
   RIU_RD_DATA_LOW => RIU_RD_DATA_LOW,   -- 16-bit input: RIU data bus from the controller to the lower
                                         -- nibble BITSLICE_CONTROL

   RIU_RD_DATA_UPP => RIU_RD_DATA_UPP,   -- 16-bit input: RIU data bus from the controller to the upper
                                         -- nibble BITSLICE_CONTROL

   RIU_RD_VALID_LOW => RIU_RD_VALID_LOW, -- 1-bit input: RIU_VALID of the lower nibble BITSLICE_CONTROL
   RIU_RD_VALID_UPP => RIU_RD_VALID_UPP  -- 1-bit input: RIU_VALID of the upper nibble BITSLICE_CONTROL
);

-- End of RIU_OR_inst instantiation
