// ISERDESE3: Input SERial/DESerializer
//            UltraScale
// Xilinx HDL Language Template, version 2024.2

ISERDESE3 #(
   .DATA_WIDTH(8),            // Parallel data width (4,8)
   .FIFO_ENABLE("FALSE"),     // Enables the use of the FIFO
   .FIFO_SYNC_MODE("FALSE"),  // Always set to FALSE. TRUE is reserved for later use.
   .IS_CLK_B_INVERTED(1'b0),  // Optional inversion for CLK_B
   .IS_CLK_INVERTED(1'b0),    // Optional inversion for CLK
   .IS_RST_INVERTED(1'b0),    // Optional inversion for RST
   .SIM_DEVICE("ULTRASCALE")  // Set the device version for simulation functionality (ULTRASCALE)
)
ISERDESE3_inst (
   .FIFO_EMPTY(FIFO_EMPTY),           // 1-bit output: FIFO empty flag
   .INTERNAL_DIVCLK(INTERNAL_DIVCLK), // 1-bit output: Internally divided down clock used when FIFO is
                                      // disabled (do not connect)

   .Q(Q),                             // 8-bit registered output
   .CLK(CLK),                         // 1-bit input: High-speed clock
   .CLKDIV(CLKDIV),                   // 1-bit input: Divided Clock
   .CLK_B(CLK_B),                     // 1-bit input: Inversion of High-speed clock CLK
   .D(D),                             // 1-bit input: Serial Data Input
   .FIFO_RD_CLK(FIFO_RD_CLK),         // 1-bit input: FIFO read clock
   .FIFO_RD_EN(FIFO_RD_EN),           // 1-bit input: Enables reading the FIFO when asserted
   .RST(RST)                          // 1-bit input: Asynchronous Reset
);

// End of ISERDESE3_inst instantiation
