// LDPE: Transparent Latch with Clock Enable and Asynchronous Preset
//       UltraScale
// Xilinx HDL Language Template, version 2024.2

LDPE #(
   .INIT(1'b1),            // Initial value of latch, 1'b0, 1'b1
   // Programmable Inversion Attributes: Specifies the use of the built-in programmable inversion
   .IS_G_INVERTED(1'b0),   // Optional inversion for G
   .IS_PRE_INVERTED(1'b0)  // Optional inversion for PRE
)
LDPE_inst (
   .Q(Q),     // 1-bit output: Data
   .D(D),     // 1-bit input: Data
   .G(G),     // 1-bit input: Gate
   .GE(GE),   // 1-bit input: Gate enable
   .PRE(PRE)  // 1-bit input: Asynchronous preset
);

// End of LDPE_inst instantiation
