// STARTUPE3: STARTUP Block
//            UltraScale
// Xilinx HDL Language Template, version 2024.2

STARTUPE3 #(
   .PROG_USR("FALSE"),  // Activate program event security feature. Requires encrypted bitstreams.
   .SIM_CCLK_FREQ(0.0)  // Set the Configuration Clock Frequency (ns) for simulation.
)
STARTUPE3_inst (
   .CFGCLK(CFGCLK),       // 1-bit output: Configuration main clock output.
   .CFGMCLK(CFGMCLK),     // 1-bit output: Configuration internal oscillator clock output.
   .DI(DI),               // 4-bit output: Allow receiving on the D input pin.
   .EOS(EOS),             // 1-bit output: Active-High output signal indicating the End Of Startup.
   .PREQ(PREQ),           // 1-bit output: PROGRAM request to fabric output.
   .DO(DO),               // 4-bit input: Allows control of the D pin output.
   .DTS(DTS),             // 4-bit input: Allows tristate of the D pin.
   .FCSBO(FCSBO),         // 1-bit input: Controls the FCS_B pin for flash access.
   .FCSBTS(FCSBTS),       // 1-bit input: Tristate the FCS_B pin.
   .GSR(GSR),             // 1-bit input: Global Set/Reset input (GSR cannot be used for the port).
   .GTS(GTS),             // 1-bit input: Global 3-state input (GTS cannot be used for the port name).
   .KEYCLEARB(KEYCLEARB), // 1-bit input: Clear AES Decrypter Key input from Battery-Backed RAM (BBRAM).
   .PACK(PACK),           // 1-bit input: PROGRAM acknowledge input.
   .USRCCLKO(USRCCLKO),   // 1-bit input: User CCLK input.
   .USRCCLKTS(USRCCLKTS), // 1-bit input: User CCLK 3-state enable input.
   .USRDONEO(USRDONEO),   // 1-bit input: User DONE pin output control.
   .USRDONETS(USRDONETS)  // 1-bit input: User DONE 3-state enable output.
);

// End of STARTUPE3_inst instantiation
