// TX_BITSLICE: TX_BITSLICE for output using Native Mode
//              UltraScale
// Xilinx HDL Language Template, version 2024.2

TX_BITSLICE #(
   .DATA_WIDTH(8),                // Parallel data input width (4-8)
   .DELAY_FORMAT("TIME"),         // Units of the DELAY_VALUE (COUNT, TIME)
   .DELAY_TYPE("FIXED"),          // Set the type of tap delay line (FIXED, VARIABLE, VAR_LOAD)
   .DELAY_VALUE(0),               // Output delay value setting
   .ENABLE_PRE_EMPHASIS("FALSE"), // Enable the pre-emphasis
   .INIT(1'b1),                   // Defines initial O value
   .IS_CLK_INVERTED(1'b0),        // Optional inversion for CLK
   .IS_RST_DLY_INVERTED(1'b0),    // Optional inversion for RST_DLY
   .IS_RST_INVERTED(1'b0),        // Optional inversion for RST
   .OUTPUT_PHASE_90("FALSE"),     // Delays the output phase by 90-degrees
   .REFCLK_FREQUENCY(300.0),      // Specification of the reference clock frequency in MHz (200.0-2667.0)
   .SIM_DEVICE("ULTRASCALE"),     // Set the device version for simulation functionality (ULTRASCALE)
   .TBYTE_CTL("TBYTE_IN"),        // Select between T and TBYTE_IN inputs
   .UPDATE_MODE("ASYNC")          // Determines when updates to the delay will take effect (ASYNC, MANUAL,
                                  // SYNC)
)
TX_BITSLICE_inst (
   .CNTVALUEOUT(CNTVALUEOUT),         // 9-bit output: Counter value to device logic
   .O(O),                             // 1-bit output: Serialized output going to output buffer
   .RX_BIT_CTRL_OUT(RX_BIT_CTRL_OUT), // 40-bit output: Output bus to BITSLICE_CONTROL
   .TX_BIT_CTRL_OUT(TX_BIT_CTRL_OUT), // 40-bit output: Output bus to BITSLICE_CONTROL
   .T_OUT(T_OUT),                     // 1-bit output: Byte group 3-state output
   .CE(CE),                           // 1-bit input: Clock enable for ODELAY
   .CLK(CLK),                         // 1-bit input: Clock used to sample LOAD, CE, INC
   .CNTVALUEIN(CNTVALUEIN),           // 9-bit input: Counter value from device logic
   .D(D),                             // 8-bit input: Data from device logic
   .EN_VTC(EN_VTC),                   // 1-bit input: Enable to keep stable delay over VT
   .INC(INC),                         // 1-bit input: Increment the current delay tap setting
   .LOAD(LOAD),                       // 1-bit input: Load the CNTVALUEIN tap setting
   .RST(RST),                         // 1-bit input: Asynchronous assert, synchronous deassert for
                                      // TX_BITSLICE OSERDES

   .RST_DLY(RST_DLY),                 // 1-bit input: Reset the internal DELAY value to DELAY_VALUE
   .RX_BIT_CTRL_IN(RX_BIT_CTRL_IN),   // 40-bit input: Input bus from BITSLICE_CONTROL
   .T(T),                             // 1-bit input: Legacy T byte input from device logic
   .TBYTE_IN(TBYTE_IN),               // 1-bit input: Byte group 3-state input from TX_BITSLICE_TRI
   .TX_BIT_CTRL_IN(TX_BIT_CTRL_IN)    // 40-bit input: Input bus from BITSLICE_CONTROL
);

// End of TX_BITSLICE_inst instantiation
