-- ODELAYE3: Output Fixed or Variable Delay Element
--           UltraScale
-- Xilinx HDL Language Template, version 2024.2

ODELAYE3_inst : ODELAYE3
generic map (
   CASCADE => "NONE",               -- Cascade setting (MASTER, NONE, SLAVE_END, SLAVE_MIDDLE)
   DELAY_FORMAT => "TIME",          -- (COUNT, TIME)
   DELAY_TYPE => "FIXED",           -- Set the type of tap delay line (FIXED, VARIABLE, VAR_LOAD)
   DELAY_VALUE => 0,                -- Output delay tap setting
   IS_CLK_INVERTED => '0',          -- Optional inversion for CLK
   IS_RST_INVERTED => '0',          -- Optional inversion for RST
   REFCLK_FREQUENCY => 300.0,       -- IDELAYCTRL clock input frequency in MHz (200.0-800.0).
   SIM_DEVICE => "ULTRASCALE_PLUS", -- Set the device version for simulation functionality (ULTRASCALE,
                                    -- ULTRASCALE_PLUS, ULTRASCALE_PLUS_ES1, ULTRASCALE_PLUS_ES2)
   UPDATE_MODE => "ASYNC"           -- Determines when updates to the delay will take effect (ASYNC, MANUAL,
                                    -- SYNC)
)
port map (
   CASC_OUT => CASC_OUT,       -- 1-bit output: Cascade delay output to IDELAY input cascade
   CNTVALUEOUT => CNTVALUEOUT, -- 9-bit output: Counter value output
   DATAOUT => DATAOUT,         -- 1-bit output: Delayed data from ODATAIN input port
   CASC_IN => CASC_IN,         -- 1-bit input: Cascade delay input from slave IDELAY CASCADE_OUT
   CASC_RETURN => CASC_RETURN, -- 1-bit input: Cascade delay returning from slave IDELAY DATAOUT
   CE => CE,                   -- 1-bit input: Active-High enable increment/decrement input
   CLK => CLK,                 -- 1-bit input: Clock input
   CNTVALUEIN => CNTVALUEIN,   -- 9-bit input: Counter value input
   EN_VTC => EN_VTC,           -- 1-bit input: Keep delay constant over VT
   INC => INC,                 -- 1-bit input: Increment/Decrement tap delay input
   LOAD => LOAD,               -- 1-bit input: Load DELAY_VALUE input
   ODATAIN => ODATAIN,         -- 1-bit input: Data input
   RST => RST                  -- 1-bit input: Asynchronous Reset to the DELAY_VALUE
);

-- End of ODELAYE3_inst instantiation
