-- RAM32X16DR8: Asymmetric LUTRAM
--              UltraScale
-- Xilinx HDL Language Template, version 2024.2

RAM32X16DR8_inst : RAM32X16DR8
generic map (
   IS_WCLK_INVERTED => '0'  -- Specifies active high/low WCLK
)
port map (
   DOA => DOA,     -- 1-bit output: Read port A 1-bit output
   DOB => DOB,     -- 1-bit output: Read port B 1-bit output
   DOC => DOC,     -- 1-bit output: Read port C 1-bit output
   DOD => DOD,     -- 1-bit output: Read port D 1-bit output
   DOE => DOE,     -- 1-bit output: Read port E 1-bit output
   DOF => DOF,     -- 1-bit output: Read port F 1-bit output
   DOG => DOG,     -- 1-bit output: Read port G 1-bit output
   DOH => DOH,     -- 2-bit output: Read port H 1-bit output
   ADDRA => ADDRA, -- 6-bit input: Read port A 6-bit address input
   ADDRB => ADDRB, -- 6-bit input: Read port B 6-bit address input
   ADDRC => ADDRC, -- 6-bit input: Read port C 6-bit address input
   ADDRD => ADDRD, -- 6-bit input: Read port D 6-bit address input
   ADDRE => ADDRE, -- 6-bit input: Read port E 6-bit address input
   ADDRF => ADDRF, -- 6-bit input: Read port F 6-bit address input
   ADDRG => ADDRG, -- 6-bit input: Read port G 6-bit address input
   ADDRH => ADDRH, -- 5-bit input: Read/write port H 5-bit address input
   DIA => DIA,     -- 2-bit input: RAM 2-bit data write input addressed by ADDRH, read addressed by ADDRA.
   DIB => DIB,     -- 2-bit input: RAM 2-bit data write input addressed by ADDRH,  read addressed by ADDRB.
   DIC => DIC,     -- 2-bit input: RAM 2-bit data write input addressed by ADDRH, read addressed by ADDRC.
   DID => DID,     -- 2-bit input: RAM 2-bit data write input addressed by ADDRH, read addressed by ADDRD.
   DIE => DIE,     -- 2-bit input: RAM 2-bit data write input addressed by ADDRH, read addressed by ADDRE.
   DIF => DIF,     -- 2-bit input: RAM 2-bit data write input addressed by ADDRH, read addressed by ADDRF.
   DIG => DIG,     -- 2-bit input: RAM 2-bit data write input addressed by ADDRH, read addressed by ADDRG.
   DIH => DIH,     -- 2-bit input: RAM 2-bit data write input addressed by ADDRH, read addressed by ADDRH.
   WCLK => WCLK,   -- 1-bit input: Write clock input
   WE => WE        -- 1-bit input: Write enable input
);

-- End of RAM32X16DR8_inst instantiation
