-- RAM64M8: 64-deep by 8-wide Multi Port LUT RAM
--           UltraScale
-- Xilinx HDL Language Template, version 2024.2
 RAM64M8_inst : RAM64M8
generic map (
   INIT_A => X"0000000000000000",   -- Initial contents of A port
   INIT_B => X"0000000000000000",   -- Initial contents of B port
   INIT_C => X"0000000000000000",   -- Initial contents of C port
   INIT_D => X"0000000000000000",   -- Initial contents of D port
   INIT_E => X"0000000000000000",   -- Initial contents of E port
   INIT_F => X"0000000000000000",   -- Initial contents of F port
   INIT_G => X"0000000000000000",   -- Initial contents of G port
   INIT_H => X"0000000000000000",   -- Initial contents of H port
   IS_WCLK_INVERTED => '0') -- Specifies active high/low WCLK
port map (
   DOA => DOA, -- Read port A 1-bit output
   DOB => DOB, -- Read port B 1-bit output
   DOC => DOC, -- Read port C 1-bit output
   DOD => DOD, -- Read port D 1-bit output
   DOE => DOE, -- Read port E 1-bit output
   DOF => DOF, -- Read port F 1-bit output
   DOG => DOG, -- Read port G 1-bit output
   DOH => DOH, -- Read/write port H 1-bit output
   ADDRA => ADDRA,   -- Read port A 6-bit address input
   ADDRB => ADDRB,   -- Read port B 6-bit address input
   ADDRC => ADDRC,   -- Read port C 6-bit address input
   ADDRD => ADDRD,   -- Read port D 6-bit address input
   ADDRE => ADDRE,   -- Read port E 6-bit address input
   ADDRF => ADDRF,   -- Read port F 6-bit address input
   ADDRG => ADDRG,   -- Read port G 6-bit address input
   ADDRH => ADDRH,   -- Read/write port H 6-bit address input
   DIA => DIA,       -- RAM 1-bit data write input addressed by ADDRD,
                     -- read addressed by ADDRA
   DIB => DIB,       -- RAM 1-bit data write input addressed by ADDRD,
                     -- read addressed by ADDRB
   DIC => DIC,       -- RAM 1-bit data write input addressed by ADDRD,
                     -- read addressed by ADDRC
   DID => DID,       -- RAM 1-bit data write input addressed by ADDRD,
                     -- read addressed by ADDRD
   DIE => DIE,       -- RAM 1-bit data write input addressed by ADDRE,
                     -- read addressed by ADDRE
   DIF => DIF,       -- RAM 1-bit data write input addressed by ADDRF,
                     -- read addressed by ADDRF
   DIG => DIG,       -- RAM 1-bit data write input addressed by ADDRG,
                     -- read addressed by ADDRG
   DIH => DIH,       -- RAM 1-bit data write input addressed by ADDRH,
                     -- read addressed by ADDRH
   WCLK => WCLK,  -- Write clock input
   WE => WE       -- Write enable input
);

-- End of RAM64M8_inst instantiation
