// IBUFE3: Input Buffer with Offset Calibration and VREF Tuning
//         UltraScale
// Xilinx HDL Language Template, version 2024.2

IBUFE3 #(
   .SIM_DEVICE("ULTRASCALE"),   // Set the device version for simulation functionality (ULTRASCALE)
   .SIM_INPUT_BUFFER_OFFSET(0), // Offset value for simulation (-50-50)
   .USE_IBUFDISABLE("FALSE")    // Enable/Disable the IBUFDISABLE pin (FALSE, TRUE, T_CONTROL)
)
IBUFE3_inst (
   .O(O),                     // 1-bit output: Buffer output
   .I(I),                     // 1-bit input: Buffer input (connect directly to top-level port)
   .IBUFDISABLE(IBUFDISABLE), // 1-bit input: Buffer disable input, high=disable
   .OSC(OSC),                 // 4-bit input: Offset cancellation value
   .OSC_EN(OSC_EN),           // 1-bit input: Offset cancellation enable
   .VREF(VREF)                // 1-bit input: Vref input from HPIO_VREF
);

// End of IBUFE3_inst instantiation
