// IOBUFE3: Bidirectional I/O Buffer with Offset Calibration and VREF Tuning
//          UltraScale
// Xilinx HDL Language Template, version 2024.2

IOBUFE3 #(
   .SIM_DEVICE("ULTRASCALE"),   // Set the device version for simulation functionality (ULTRASCALE)
   .SIM_INPUT_BUFFER_OFFSET(0), // Offset value for simulation (-50-50)
   .USE_IBUFDISABLE("FALSE")    // Enable/Disable the IBUFDISABLE pin (FALSE, TRUE, T_CONTROL)
)
IOBUFE3_inst (
   .O(O),                           // 1-bit output: Buffer output
   .DCITERMDISABLE(DCITERMDISABLE), // 1-bit input: DCI Termination Disable
   .I(I),                           // 1-bit input: Buffer input
   .IBUFDISABLE(IBUFDISABLE),       // 1-bit input: Buffer disable input, high=disable
   .IO(IO),                         // 1-bit inout: Buffer inout (connect directly to top-level port)
   .OSC(OSC),                       // 4-bit input: Offset cancellation value
   .OSC_EN(OSC_EN),                 // 1-bit input: Offset cancellation enable
   .T(T),                           // 1-bit input: 3-state enable input
   .VREF(VREF)                      // 1-bit input: Vref input from HPIO_VREF
);

// End of IOBUFE3_inst instantiation
