// FDCE: D Flip-Flop with Clock Enable and Asynchronous Clear
//       UltraScale
// Xilinx HDL Language Template, version 2024.2

FDCE #(
   .INIT(1'b0),            // Initial value of register, 1'b0, 1'b1
   // Programmable Inversion Attributes: Specifies the use of the built-in programmable inversion
   .IS_CLR_INVERTED(1'b0), // Optional inversion for CLR
   .IS_C_INVERTED(1'b0),   // Optional inversion for C
   .IS_D_INVERTED(1'b0)    // Optional inversion for D
)
FDCE_inst (
   .Q(Q),     // 1-bit output: Data
   .C(C),     // 1-bit input: Clock
   .CE(CE),   // 1-bit input: Clock enable
   .CLR(CLR), // 1-bit input: Asynchronous clear
   .D(D)      // 1-bit input: Data
);

// End of FDCE_inst instantiation
