// FDSE: D Flip-Flop with Clock Enable and Synchronous Set
//       UltraScale
// Xilinx HDL Language Template, version 2024.2

FDSE #(
   .INIT(1'b1),          // Initial value of register, 1'b0, 1'b1
   // Programmable Inversion Attributes: Specifies the use of the built-in programmable inversion
   .IS_C_INVERTED(1'b0), // Optional inversion for C
   .IS_D_INVERTED(1'b0), // Optional inversion for D
   .IS_S_INVERTED(1'b0)  // Optional inversion for S
)
FDSE_inst (
   .Q(Q),   // 1-bit output: Data
   .C(C),   // 1-bit input: Clock
   .CE(CE), // 1-bit input: Clock enable
   .D(D),   // 1-bit input: Data
   .S(S)    // 1-bit input: Synchronous set
);

// End of FDSE_inst instantiation
