// IBUFDSE3: Differential Input Buffer with Offset Calibration
//           UltraScale
// Xilinx HDL Language Template, version 2024.2

IBUFDSE3 #(
   .SIM_DEVICE("ULTRASCALE_PLUS"), // Set the device version for simulation functionality (ULTRASCALE,
                                   // ULTRASCALE_PLUS)
   .SIM_INPUT_BUFFER_OFFSET(0),    // Offset value for simulation (-50-50)
   .USE_IBUFDISABLE("FALSE")       // Enable/Disable the IBUFDISABLE pin (FALSE, TRUE, T_CONTROL)
)
IBUFDSE3_inst (
   .O(O),                     // 1-bit output: Buffer output
   .I(I),                     // 1-bit input: Diff_p buffer input (connect directly to top-level port)
   .IB(IB),                   // 1-bit input: Diff_n buffer input (connect directly to top-level port)
   .IBUFDISABLE(IBUFDISABLE), // 1-bit input: Buffer disable input, high=disable
   .OSC(OSC),                 // 4-bit input: Offset cancellation value
   .OSC_EN(OSC_EN)            // 2-bit input: Offset cancellation enable
);

// End of IBUFDSE3_inst instantiation
