// LDCE: Transparent Latch with Clock Enable and Asynchronous Clear
//       UltraScale
// Xilinx HDL Language Template, version 2024.2

LDCE #(
   .INIT(1'b0),            // Initial value of latch, 1'b0, 1'b1
   // Programmable Inversion Attributes: Specifies the use of the built-in programmable inversion
   .IS_CLR_INVERTED(1'b0), // Optional inversion for CLR
   .IS_G_INVERTED(1'b0)    // Optional inversion for G
)
LDCE_inst (
   .Q(Q),     // 1-bit output: Data
   .CLR(CLR), // 1-bit input: Asynchronous clear
   .D(D),     // 1-bit input: Data
   .G(G),     // 1-bit input: Gate
   .GE(GE)    // 1-bit input: Gate enable
);

// End of LDCE_inst instantiation
