// SRL16E: 16-Bit Shift Register Look-Up Table (LUT)
//         UltraScale
// Xilinx HDL Language Template, version 2024.2

SRL16E #(
   .INIT(16'h0000),        // Initial contents of shift register
   .IS_CLK_INVERTED(1'b0)  // Optional inversion for CLK
)
SRL16E_inst (
   .Q(Q),     // 1-bit output: SRL Data
   .CE(CE),   // 1-bit input: Clock enable
   .CLK(CLK), // 1-bit input: Clock
   .D(D),     // 1-bit input: SRL Data
   // Depth Selection inputs: A0-A3 select SRL depth
   .A0(A0),
   .A1(A1),
   .A2(A2),
   .A3(A3)
);

// End of SRL16E_inst instantiation
